Skip to main content
GET
/
v1
/
transactions
List transactions
curl --request GET \
  --url https://api.plexospay.com/v1/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "type": "<string>",
      "amount": "<string>",
      "currency": "CVE",
      "status": "<string>",
      "operator": "CVMOVEL",
      "operatorPhone": "<string>",
      "description": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "hasMore": true
}
Returns a unified list of all transactions (payments and refunds) in reverse chronological order.

Authorizations

Authorization
string
header
required

API key starting with sk_live_ or sk_test_

Query Parameters

limit
integer
default:20

Max items per page (1-100)

Required range: 1 <= x <= 100
starting_after
string

Cursor — ID of the last item from previous page

status
string

Response

200 - application/json

Paginated list of transactions

data
object[]
hasMore
boolean